LANSA for iSeries upgrade to V11.0 fails due to existing old version of OSU

Date:28 July 2005
Product/Release:LANSA for iSeries V11.0
Abstract:LANSA for iSeries upgrade to V11.0 fails due to existing old version of OSU
Submitted By:LANSA Technical Support

Description:

An upgrade to V11.0 on iSeries can fail with the following message in the joblog:

CPF0675 - Device file DC@LOAD10D in QTEMP is in use.

This message may also appear:

CPF1015 - Data area DCXLOADA05 in DC@OPENLIB not found.

Cause:

The V11.0 upgrade checks to see if data area OS@A01 exists on the machine, and if so, the OSU is then listed as an upgradeable option on the upgrade screens. However, this data area could be from an old version of the Open System Utilities, thus the version could be old and incorrect. From V10, a new data area DCXLOADA05 exists, and this is used as the basis for the actual upgrade and upgrade paths. If this new data area is not found, the upgrade to V11.0 will fail.

Solution:

Delete the old version of library DC@OPENLIB. Rerun the upgrade to V11.0. OSU can be re-installed later as per the Online documentation.